DOM::NodeList class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::NodeList Class Reference

The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. More...

`#include <dom_node.h>`

List of all members.

## Public Member Functions
| NodeList (const NodeList &other)
NodeList & | operator= (const NodeList &other)
unsigned long | length () const
| The number of nodes in the list.
Node | item (unsigned long index) const
| Returns the `index` th item in the collection.
NodeListImpl * | handle () const
bool | isNull () const
## Protected Member Functions
| NodeList (const NodeListImpl *i)
## Protected Attributes
NodeListImpl * | impl
## Friends
class | Element
class | Node
class | Document
class | HTMLDocument
class | KJS::HTMLDocument

## Detailed Description

The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The items in the `NodeList` are accessible via an integral index, starting from 0.

Definition at line 895 of file dom_node.h.

## Member Function Documentation

unsigned long NodeList::length | ( |  | ) | const

| The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Definition at line 479 of file dom_node.cpp.

Node NodeList::item | ( | unsigned long | index | ) | const

  | Returns the `index` th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null` . Parameters:
  index | Index into the collection.
Returns: The node at the `index` th position in the `NodeList` , or `null` if that is not a valid index. Definition at line 473 of file dom_node.cpp.

The documentation for this class was generated from the following files:

- dom_node.h
- dom_node.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001